Search
Platform search across the apps you're licensed for.
| Method | Path | Summary |
|---|---|---|
| GET | /v1/search | Search |
#Search
GET
/v1/searchSearches the apps you're licensed for and returns the best matches from each.
- Address
https://<your-org>.brambleit.cloud/api/v1/search- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Query parameters
| Name | Type | Description |
|---|---|---|
qrequired | any | What to search for (up to 100 characters). |
limit | integer | Results per app, 1–20 (default 6). |
Response 200
| Field | Type | Description |
|---|---|---|
people | array of any | |
tasks | array of any | |
devices | array of any |
Example response
JSON
{
"people": [],
"tasks": [],
"devices": []
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/search?q=%E2%80%A6' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v1/search?q=%E2%80%A6', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v1/search?q=%E2%80%A6",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v1/search?q=%E2%80%A6' -Headers $headersWas this page helpful?
Thanks for your feedback.